-- using default substitutions


select
	cntrycode,
	count(*) as numcust,
	sum(c_acctbal) as totacctbal
from
	(
		select
			substring(c_phone from 1 for 2) as cntrycode,
			c_acctbal
		from
			customer,orders
		where
			substring(c_phone from 1 for 2) in
				('13', '31', '23', '29', '30', '18', '17')
			and c_acctbal > (
				select
					avg(c_acctbal)
				from
					customer
				where
					c_acctbal > 0.00
					and substring(c_phone from 1 for 2) in
						('13', '31', '23', '29', '30', '18', '17')
			)
			and o_custkey = c_custkey
			and c_custkey <> o_custkey 
	) as custsale
group by
	cntrycode
order by
	cntrycode;

-- select
-- 	cntrycode,
-- 	count(*) as numcust,
-- 	sum(c_acctbal) as totacctbal
-- from
-- 	(
-- 		select
-- 			substring(c_phone from 1 for 2) as cntrycode,
-- 			c_acctbal
-- 		from
-- 			customer
-- 		where
-- 			substring(c_phone from 1 for 2) in
-- 				('13', '31', '23', '29', '30', '18', '17')
-- 			and c_acctbal > (
-- 				select
-- 					avg(c_acctbal)
-- 				from
-- 					customer
-- 				where
-- 					c_acctbal > 0.00
-- 					and substring(c_phone from 1 for 2) in
-- 						('13', '31', '23', '29', '30', '18', '17')
-- 			)
-- 			and c_custkey not in (
-- 				select
-- 					o_custkey
-- 				from
-- 					orders,customer
-- 				where
-- 					o_custkey = c_custkey
-- 			)
-- 	) as custsale
-- group by
-- 	cntrycode
-- order by
-- 	cntrycode;
-- limit -1;
